%{
#include "y.tab.h"
%}
%%
[Aa][Uu][Tt][Hh]\  {
	return AUTH;
}
[Qq][Uu][Ii][Tt]\n {
	return QUIT;
}
[Hh][Ee][Ll][Pp]\n {
	return HELP;
}
[Gg][Ee][Tt]\  {
	return GETMSG;
}
[uU][sS][eE][rR]: {
	return LOGIN;
}
[Pp][Ww][Dd]: {
	return PASSWORD;
}
([A-Za-z0-9]+\.?)* {
	yylval.sval = strdup(yytext);
	return PARAM;
}
[ \t] ;
\n ;
%%
